<template>
	<!-- pc -->
	<div class="about-main" v-if="userStore.isPcorH">
		<div class="allwidth" data-aos-anchor-placement="bottom-bottom">
			<div style="width: 100%" data-aos="fade-up">
				<div class="all_title">{{ t("About") }}</div>
			</div>
			<div
				data-aos="fade-up"
				class="aobutus marginauto margin-top60 line-hei color666 line-height24">
				{{ t("aboutinfo.usinfo") }}
			</div>
			<!-- 内容一 -->
			<div class="aboutcards flex">
				<div
					:data-aos="
						index == 0
							? 'fade-right'
							: index == 1
							? 'fade-up'
							: 'fade-left'
					"
					class="cards"
					v-for="(item, index) in cardlist"
					:key="index">
					<img :src="item.img" alt="" data-aos="flip-down" />
					<p
						data-aos="fade-left"
						class="cardstitle margin-top24 font-size18 SourceHanSansCN-Medium">
						{{ item.title }}
					</p>
					<p
						data-aos="fade-right"
						class="cardsinfo color666 font-size14 margin-top24">
						{{ item.content }}
					</p>
				</div>
			</div>
		</div>
		<!-- 内容二 pc-->
		<div class="team margin-top71">
			<div class="allwidth">
				<div class="teamtitle">
					<p
						data-aos="fade-left"
						class="center font-size18 SourceHanSansCN-Medium">
						精英团队
					</p>
					<p
						data-aos="fade-right"
						class="center font-size18 colore6e margin-top12">
						Elite team
					</p>
				</div>
				<div class="teamdemo flex">
					<div class="teamdemoleft flex1">
						<div
							data-aos="flip-left"
							:style="{ backgroundImage: `url(${item.img}) ` }"
							class="teamlist backcenter transition"
							v-for="(item, index) in teamlist"
							:key="index">
							<div class="teamlistnei center">
								<p class="font-size18 margin-top12">
									{{ item.title }}
								</p>
								<p class="font-size14 margin-top9">
									{{ item.content }}
								</p>
							</div>
						</div>
					</div>
					<div class="teamdemoright transition" data-aos="flip-right">
						<div class="teamdemorightfixed">
							<p class="font-size18">
								{{ t("aboutinfo.list5title") }}
							</p>
							<p class="font-size14 line-height24 margin-top18">
								{{ t("aboutinfo.list5content") }}
							</p>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="about-mainh5" v-else>
		<div>
			<div style="width: 100%" data-aos="fade-up">
				<div class="all_titleh5">
					{{ t("About") }}
				</div>
			</div>
			<div
				class="aobutus margin-top22 line-hei color666"
				data-aos="fade-up">
				{{ t("aboutinfo.usinfo") }}
			</div>
			<!-- 内容一 -->
			<div class="aboutcards flex">
				<div
					class="cards"
					v-for="(item, index) in cardlist"
					:key="index">
					<img :src="item.img" data-aos="flip-down" alt="" />
					<p
						data-aos="fade-left"
						class="cardstitle margin-top15 SourceHanSansCN-Medium">
						{{ item.title }}
					</p>
					<p
						data-aos="fade-right"
						class="cardsinfo color666 margin-top15">
						{{ item.content }}
					</p>
				</div>
			</div>
		</div>
		<!-- 内容二 h5-->
		<div class="team margin-top35">
			<div>
				<div class="teamtitle">
					<p
						data-aos="fade-left"
						class="center SourceHanSansCN-Medium">
						精英团队
					</p>
					<p
						data-aos="fade-right"
						class="center colore6e margin-top6">
						Elite team
					</p>
				</div>
				<div class="teamdemo flex">
					<div class="teamdemolefts flex1">
						<div
							data-aos="fade-up"
							:style="{ backgroundImage: `url(${item.img}) ` }"
							class="teamlist backcenter"
							v-for="(item, index) in teamlisth5"
							:key="index">
							<div class="teamlistnei center">
								<p class="p1 margin-top12">
									{{ item.title }}
								</p>
								<p class="p2 margin-top9">
									{{ item.content }}
								</p>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</template>
<script setup>
import { useI18n } from "vue-i18n";
import { computed, ref } from "vue";
import { resolvePath } from "@/utils/index.js";
const { t } = useI18n();
import useUserStore from "~/store/index";
const userStore = useUserStore();
const cardlist = ref([
	{
		img: resolvePath("static/images/about/tab1.png"),
		title: computed(() => t("aboutinfo.tabtitle1")),
		content: computed(() => t("aboutinfo.tabcontent1")),
	},
	{
		img: resolvePath("static/images/about/tab2.png"),
		title: computed(() => t("aboutinfo.tabtitle2")),
		content: computed(() => t("aboutinfo.tabcontent2")),
	},
	{
		img: resolvePath("static/images/about/tab3.png"),
		title: computed(() => t("aboutinfo.tabtitle3")),
		content: computed(() => t("aboutinfo.tabcontent3")),
	},
]);
const teamlist = ref([
	{
		img: resolvePath("static/images/about/team1.png"),
		title: computed(() => t("aboutinfo.list1title")),
		content: computed(() => t("aboutinfo.list1content")),
	},
	{
		img: resolvePath("static/images/about/team2.png"),
		title: computed(() => t("aboutinfo.list2title")),
		content: computed(() => t("aboutinfo.list2content")),
	},

	{
		img: resolvePath("static/images/about/team4.png"),
		title: computed(() => t("aboutinfo.list4title")),
		content: computed(() => t("aboutinfo.list4content")),
	},
	{
		img: resolvePath("static/images/about/team3.png"),
		title: computed(() => t("aboutinfo.list3title")),
		content: computed(() => t("aboutinfo.list3content")),
	},
]);
const teamlisth5 = computed(() => {
	return [
		...teamlist.value,
		{
			img: resolvePath("static/images/about/team5.png"),
			title: computed(() => t("aboutinfo.list5title")),
			content: computed(() => t("aboutinfo.list5content")),
		},
	];
});
</script>

<style lang="scss" scoped>
.about-main {
	padding-top: 39px;
	.aobutus {
		max-width: 960px;
	}
	.aboutcards {
		width: 100%;
		height: 280px;
		display: flex;
		gap: 14px;
		margin-top: 59px;
		.cards {
			display: flex;
			flex-direction: column;
			// justify-content: center;
			align-items: center;
			flex: 1;
			img {
				// width: 30%;
				height: 85px;
				width: auto;
			}
		}
	}
	.team {
		width: 100vw;
		min-width: 1258px;
		background-color: #f9f9f9;
		padding-bottom: 82px;
		padding-top: 36px;
		.allwidth {
			margin: auto;
		}
		.teamdemo {
			margin-top: 39px;
			gap: 22px;
			.teamdemoleft {
				display: grid;
				grid-template-columns: repeat(2, 1fr);
				gap: 22px;
				.teamlist {
					height: 258px;
					box-sizing: border-box;
					position: relative;
					background-repeat: no-repeat;
					background-size: 100%;
					background-position: center;
					cursor: pointer;
					transition: 0.8s ease;
					&:hover {
						background-size: 120%;
					}
					.teamlistnei {
						position: absolute;
						left: 0;
						bottom: 0;
						width: 100%;
						min-height: 40%;
						padding-bottom: 10px;
						color: white;
						background-color: rgba($color: #000000, $alpha: 0.5);
					}
				}
			}
			.teamdemoright {
				width: 33.33%;
				height: auto;
				background-image: url("../static/images/about/team5.png");
				background-size: 100%;
				background-repeat: no-repeat; /* 防止图片重复 */
				background-position: center;
				cursor: pointer;
				position: relative;
				transition: 0.8s ease;
				&:hover {
					background-size: 120%;
				}
				.teamdemorightfixed {
					color: white;
					position: absolute;
					right: 0;
					bottom: 107px;
					width: 301px;
					text-align: center;
					background-color: #46bfe5;
					padding: 12px 48px 47px 48px;
				}
			}
		}
	}
}

.about-mainh5 {
	padding-top: 29px;
	overflow: hidden;
	margin: auto;
	.aobutus {
		max-width: 100vw;
		padding: 0 15px;
		font-size: 0.28rem;
		line-height: 0.48rem;
	}
	.aboutcards {
		gap: 0.18rem;
		margin-top: 25px;
		font-size: 0.36;
		text-align: center;
		.cards {
			display: flex;
			flex-direction: column;
			align-items: center;
			flex: 1;
			img {
				height: 1.2rem;
				width: auto;
			}
			.cardstitle {
				font-size: 0.28rem;
			}
			.cardsinfo {
				font-size: 0.28rem;
			}
		}
	}
	.team {
		background-color: #f9f9f9;
		padding-bottom: 40px;
		padding-top: 18px;
		width: 100%;
		.teamtitle {
			font-size: 0.36rem;
		}
		.teamdemo {
			margin-top: 20px;
			gap: 22px;
			.teamdemolefts {
				display: flex;
				flex-direction: column;
				gap: 23px;
				padding: 0 15px;
				.teamlist {
					width: 100%;
					aspect-ratio: 2;
					box-sizing: border-box;
					position: relative;
					background-repeat: no-repeat;
					background-size: cover;
					background-position: center;
					.teamlistnei {
						position: absolute;
						left: 0;
						bottom: 0;
						width: 100%;
						min-height: 40%;
						padding-bottom: 0.1rem;
						color: white;
						background-color: rgba($color: #000000, $alpha: 0.5);
						.p1 {
							font-size: 0.36rem;
						}
						.p2 {
							font-size: 0.28rem;
						}
					}
				}
			}
		}
	}
}
// }
</style>
